<?xml version="1.0" encoding="UTF-8"?>
<wsdl:definitions targetNamespace="http://localhost:8080/axis/Bank.jws" xmlns="http://schemas.xmlsoap.org/wsdl/" xmlns:apachesoap="http://xml.apache.org/xml-soap" xmlns:impl="http://localhost:8080/axis/Bank.jws" xmlns:intf="http://localhost:8080/axis/Bank.jws" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:wsdlsoap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <wsdl:message name="transferRequest">
    <wsdl:part name="from" type="xsd:string"/>
    <wsdl:part name="to" type="xsd:string"/>
    <wsdl:part name="amount" type="xsd:double"/>
  </wsdl:message>
  <wsdl:message name="transferResponse">
    <wsdl:part name="transferReturn" type="xsd:double"/>
  </wsdl:message>
  <wsdl:portType name="Bank">
    <wsdl:operation name="transfer" parameterOrder="from to amount">
      <wsdl:input message="intf:transferRequest" name="transferRequest"/>
      <wsdl:output message="intf:transferResponse" name="transferResponse"/>
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="BankSoapBinding" type="intf:Bank">
    <wsdlsoap:binding style="rpc" transport="http://schemas.xmlsoap.org/soap/http"/>
    <wsdl:operation name="transfer">
      <wsdlsoap:operation soapAction=""/>
      <wsdl:input name="transferRequest">
        <wsdlsoap:body encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="http://DefaultNamespace" use="encoded"/>
      </wsdl:input>
      <wsdl:output name="transferResponse">
        <wsdlsoap:body encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="http://localhost:8080/axis/Bank.jws" use="encoded"/>
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="BankService">
    <wsdl:port binding="intf:BankSoapBinding" name="Bank">
      <wsdlsoap:address location="http://localhost:8080/axis/Bank.jws"/>
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>